### A free/open-source library for quantitative finance

Classes | Public Member Functions | Protected Member Functions
DividendBarrierOption Class Reference
Financial instruments

Single-asset barrier option with discrete dividends. More...

`#include <ql/instruments/dividendbarrieroption.hpp>`

Inheritance diagram for DividendBarrierOption:
[legend]

List of all members.

## Classes

class | arguments
| Arguments for dividend barrier option calculation More...
class | engine
| Dividend-barrier-option engine base class More...

## Public Member Functions

| DividendBarrierOption (Barrier::Type barrierType, Real barrier, Real rebate, const boost::shared_ptr< StrikedTypePayoff > &payoff, const boost::shared_ptr< Exercise > &exercise, const std::vector< Date > &dividendDates, const std::vector< Real > &dividends)

## Protected Member Functions

void | setupArguments (PricingEngine::arguments *) const

## Detailed Description

Single-asset barrier option with discrete dividends.

## Member Function Documentation

void setupArguments | ( | PricingEngine::arguments * |  | ) | const`[protected, virtual]`

When a derived argument structure is defined for an instrument, this method should be overridden to fill it. This is mandatory in case a pricing engine is used.

Reimplemented from BarrierOption.